/**
 * @file
 * JavaScript integration between EChart.js and Drupal.
 */
(function ($) {
  'use strict';

  Drupal.behaviors.chartsECharts = {
    attach: function (context, settings) {
      var contents = new Drupal.Charts.Contents();

      $('.charts-echarts').each(function (param) {
        var chartId = $(this).attr('id');

        $('#' + chartId).once().each(function () {
          var chartObj = document.getElementById(chartId);
          var myChart = echarts.init(chartObj);
          var chart = contents.getData(chartId);
          var options = chart['options'];
          console.log(options);

          if (options && typeof options === 'object') {
            myChart.setOption(options);
          }
        });
      });
    }
  };

}(jQuery));
